/////////////////////////////////////////////////////////////////////////////
// dlg.cpp: dialog boxes implementation file


#include "dlg.h"


/////////////////////////////////////////////////////////////////////////////
// CHiScores dialog

CHiScores::CHiScores(CWnd* pParent /*=NULL*/)
	: CDialog(CHiScores::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHiScores)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CHiScores::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHiScores)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CHiScores, CDialog)
	//{{AFX_MSG_MAP(CHiScores)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHiScores message handlers

BOOL CHiScores::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	SetDlgItemText(IDC_BEGINNER_NAME,m_beginnerName);
	SetDlgItemInt(IDC_BEGINNER_MOVES,m_beginnerMoves);
	SetDlgItemText(IDC_INTERMEDIATE_NAME,m_intermediateName);
	SetDlgItemInt(IDC_INTERMEDIATE_MOVES,m_intermediateMoves);
	SetDlgItemText(IDC_EXPERT_NAME,m_expertName);
	SetDlgItemInt(IDC_EXPERT_MOVES,m_expertMoves);

	return TRUE;
}





/////////////////////////////////////////////////////////////////////////////
// CAskName dialog

CAskName::CAskName(CWnd* pParent /*=NULL*/)
	: CDialog(CAskName::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAskName)
	m_name = "";
	//}}AFX_DATA_INIT
}

void CAskName::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAskName)
	DDX_Text(pDX, IDC_EDITNAME, m_name);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAskName, CDialog)
	//{{AFX_MSG_MAP(CAskName)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAskName message handlers





/////////////////////////////////////////////////////////////////////////////
// CRules dialog

CRules::CRules(CWnd* pParent /*=NULL*/)
	: CDialog(CRules::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRules)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CRules::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRules)
	//DDX_Control(pDX, IDC_GAME, m_gameBoard);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRules, CDialog)
	//{{AFX_MSG_MAP(CRules)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRules message handlers

BOOL CRules::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	m_gameBoard.AutoLoad(IDC_GAME,this);
	
	return TRUE;
}





/////////////////////////////////////////////////////////////////////////////
// COptions dialog

COptions::COptions(CWnd* pParent /*=NULL*/)
	: CDialog(COptions::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptions)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void COptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptions)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(COptions, CDialog)
	//{{AFX_MSG_MAP(COptions)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptions message handlers

BOOL COptions::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	SetDlgItemInt(IDC_BEGINNER_MOVES,m_beginnerMoves);
	SetDlgItemInt(IDC_INTERMEDIATE_MOVES,m_intermediateMoves);
	SetDlgItemInt(IDC_EXPERT_MOVES,m_expertMoves);
	
	return TRUE;
}
