/////////////////////////////////////////////////////////////////////////////
// dlg.h: dialog boxes declaration file

#ifndef __DLG_H__
#define __DLG_H__


#include "afxwin.h"
#include "afxext.h"
#include "resource.h"


/////////////////////////////////////////////////////////////////////////////
// CHiScores dialog

class CHiScores : public CDialog
{
// Construction
public:
	CHiScores(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHiScores)
	enum { IDD = IDD_HIGHSCORES };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	int				m_beginnerMoves;
	int				m_intermediateMoves;
	int				m_expertMoves;
	CString			m_beginnerName;
	CString			m_intermediateName;
	CString			m_expertName;

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CHiScores)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CAskName dialog

class CAskName : public CDialog
{
// Construction
public:
	CAskName(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAskName)
	enum { IDD = IDD_ASKNAME };
	CString	m_name;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CAskName)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CRules dialog

class CRules : public CDialog
{
// Construction
public:
	CRules(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRules)
	enum { IDD = IDD_RULES };
	CBitmapButton	m_gameBoard;
	//}}AFX_DATA
	
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CRules)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// COptions dialog

class COptions : public CDialog
{
// Construction
public:
	COptions(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(COptions)
	enum { IDD = IDD_OPTIONS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	int	m_beginnerMoves;
	int	m_intermediateMoves;
	int	m_expertMoves;
	
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(COptions)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif // __DLG_H
